Bug 1303499 - [abrt] kwin: KCrash::defaultCrashHandler(): kwin_x11 killed by SIGSEGV
[abrt] kwin: KCrash::defaultCrashHandler(): kwin_x11 killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kwin (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:c6ee1ee570cd34e84cd0a0d296e...
:
Depends On: 1313811
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-01 00:23 EST by Chris Hubick
Modified: 2016-12-20 13:21 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:21:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (41.71 KB, text/plain)
2016-02-01 00:23 EST, Chris Hubick
no flags Details
File: cgroup (200 bytes, text/plain)
2016-02-01 00:23 EST, Chris Hubick
no flags Details
File: core_backtrace (5.36 KB, text/plain)
2016-02-01 00:23 EST, Chris Hubick
no flags Details
File: dso_list (16.65 KB, text/plain)
2016-02-01 00:23 EST, Chris Hubick
no flags Details
File: environ (1.68 KB, text/plain)
2016-02-01 00:23 EST, Chris Hubick
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-01 00:23 EST, Chris Hubick
no flags Details
File: maps (80.58 KB, text/plain)
2016-02-01 00:23 EST, Chris Hubick
no flags Details
File: mountinfo (3.79 KB, text/plain)
2016-02-01 00:24 EST, Chris Hubick
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-01 00:24 EST, Chris Hubick
no flags Details
File: open_fds (183 bytes, text/plain)
2016-02-01 00:24 EST, Chris Hubick
no flags Details
File: proc_pid_status (1.02 KB, text/plain)
2016-02-01 00:24 EST, Chris Hubick
no flags Details
File: var_log_messages (314 bytes, text/plain)
2016-02-01 00:24 EST, Chris Hubick
no flags Details

  None (edit)
Description Chris Hubick 2016-02-01 00:23:47 EST
Version-Release number of selected component:
kwin-5.5.4-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        kwin_x11
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/kwin_x11
global_pid:     1678
kernel:         4.3.3-303.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 KCrash::defaultCrashHandler at ../../src/kcrash.cpp:431
 #3 QXcbWindow::handleClientMessageEvent at qxcbwindow.cpp:1945
 #4 QXcbConnection::handleXcbEvent at qxcbconnection.cpp:1081
 #5 QXcbConnection::processXcbEvents at qxcbconnection.cpp:1528
 #6 QObject::event at kernel/qobject.cpp:1239
 #7 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:3716
 #8 QApplication::notify at kernel/qapplication.cpp:3499
 #9 QCoreApplication::notifyInternal at kernel/qcoreapplication.cpp:965
 #10 QCoreApplication::sendEvent at kernel/qcoreapplication.h:224
 #11 QCoreApplicationPrivate::sendPostedEvents at kernel/qcoreapplication.cpp:1593

Potential duplicate: bug 1301296
Comment 1 Chris Hubick 2016-02-01 00:23:53 EST
Created attachment 1119957 [details]
File: backtrace
Comment 2 Chris Hubick 2016-02-01 00:23:54 EST
Created attachment 1119958 [details]
File: cgroup
Comment 3 Chris Hubick 2016-02-01 00:23:55 EST
Created attachment 1119959 [details]
File: core_backtrace
Comment 4 Chris Hubick 2016-02-01 00:23:56 EST
Created attachment 1119960 [details]
File: dso_list
Comment 5 Chris Hubick 2016-02-01 00:23:57 EST
Created attachment 1119961 [details]
File: environ
Comment 6 Chris Hubick 2016-02-01 00:23:58 EST
Created attachment 1119962 [details]
File: limits
Comment 7 Chris Hubick 2016-02-01 00:23:59 EST
Created attachment 1119963 [details]
File: maps
Comment 8 Chris Hubick 2016-02-01 00:24:00 EST
Created attachment 1119964 [details]
File: mountinfo
Comment 9 Chris Hubick 2016-02-01 00:24:01 EST
Created attachment 1119965 [details]
File: namespaces
Comment 10 Chris Hubick 2016-02-01 00:24:02 EST
Created attachment 1119966 [details]
File: open_fds
Comment 11 Chris Hubick 2016-02-01 00:24:03 EST
Created attachment 1119967 [details]
File: proc_pid_status
Comment 12 Chris Hubick 2016-02-01 00:24:04 EST
Created attachment 1119968 [details]
File: var_log_messages
Comment 13 Jonathan Wakely 2016-02-23 17:37:06 EST
Similar problem has been detected:

Installed latest F23 kf5 updates, saved session, shutdown. When I next booted up and logged in to kde it crashed while restoring the session.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        kwin_x11 -session 1016e13e139145000145575082400000020290000_1456257989_362075
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/kwin_x11
global_pid:     1959
kernel:         4.3.5-300.fc23.x86_64
package:        kwin-5.5.4-1.fc23
reason:         kwin_x11 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Fedora End Of Life 2016-11-24 10:19:33 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 13:21:33 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.